### Name: read.phe
### Title: Read '.phe' phenotype file data
### Aliases: read.phe read.fbat.phe read.pbat.phe
### Keywords: misc

### ** Examples

# store where we are now
here <- getwd()

# move to the data directory
dir <- file.path(.path.package("GeneticsBase"),"data")
setwd(dir)

# load hapmap chromosome 1 data
xbat <- readGenes(gfile="xbat.ped", gformat="fbat.ped",
                  pfile="xbat.phe", pformat="fbat.phe")

# look at the data
xbat

# return to the original path
setwd(here)



